> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a transaction by ID

> Gets a transaction submitted to the Relayer. Poll this endpoint with the transactionID returned from POST /submit to retrieve the onchain transactionHash once the transaction has been broadcast.



## OpenAPI

````yaml openapi/polymarket-relayer.json GET /apis/v1/polymarket/transaction
openapi: 3.1.0
info:
  description: ''
  title: Polymarket Relayer
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/polymarket/deployed
    - /apis/v1/polymarket/nonce
    - /apis/v1/polymarket/relay-payload
    - /apis/v1/polymarket/relayer/api/keys
    - /apis/v1/polymarket/submit
    - /apis/v1/polymarket/transaction
    - /apis/v1/polymarket/transactions
  x-aisa-document:
    facts_hash: 4aa318753fd96be7557dff84a8218aab5638e17dbcb96a9d4d1aaac2278117e3
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:874b104f5f45239878bfa90fd0973478c966065a6ec2e5bf6e619c0f5f268fb3
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: polymarket-relayer
  x-aisa-catalogs:
    polymarket-relayer:
      title: Polymarket Relayer
      description: ''
      x-aisa-document:
        facts_hash: 4aa318753fd96be7557dff84a8218aab5638e17dbcb96a9d4d1aaac2278117e3
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/polymarket/transaction:
    get:
      tags:
        - default
      summary: Get a transaction by ID
      description: >-
        Gets a transaction submitted to the Relayer. Poll this endpoint with the
        transactionID returned from POST /submit to retrieve the onchain
        transactionHash once the transaction has been broadcast.
      operationId: any_polymarket_relayer_apis_v1_polymarket_transaction
      parameters:
        - name: id
          in: query
          required: true
          description: Transaction ID
          schema:
            type: string
          example: 0190b317-a1d3-7bec-9b91-eeb6dcd3a620
      responses:
        '200':
          description: Transaction retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Response0D96414269Ca_RelayerTransaction'
              example:
                - transactionID: 0190b317-a1d3-7bec-9b91-eeb6dcd3a620
                  transactionHash: >-
                    0x38cbfbeae8fffa4e2b187ee5978d3ee9cafc53af0363ed90a35b7ea9016535d8
                  from: '0x6e0c80c90ea6c15917308f820eac91ce2724b5b5'
                  to: '0x2791bca1f2de4661ed88a30c99a7a9449aa84174'
                  proxyAddress: '0x6d8c4e9adf5748af82dabe2c6225207770d6b4fa'
                  data: 0x...
                  nonce: '60'
                  value: ''
                  signature: >-
                    0x01a060c734d7bdf4adde50c4a7e574036b1f8b12890911bdd1c1cfdcd77502381b89fa8a47c36f62a0b9f1cdfee7b260fd8108536db9f6b2089c02637e7de9fc20
                  state: STATE_CONFIRMED
                  type: SAFE
                  owner: '0x6e0c80c90ea6c15917308f820eac91ce2724b5b5'
                  metadata: ''
                  createdAt: '2024-07-14T21:13:08.819782Z'
                  updatedAt: '2024-07-14T21:13:46.576639Z'
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    Response0D96414269Ca_RelayerTransaction:
      type: object
      properties:
        transactionID:
          type: string
          description: Unique identifier for the transaction
          example: 0190b317-a1d3-7bec-9b91-eeb6dcd3a620
        transactionHash:
          type: string
          description: Onchain transaction hash (available once confirmed)
          example: '0x38cbfbeae8fffa4e2b187ee5978d3ee9cafc53af0363ed90a35b7ea9016535d8'
        from:
          $ref: '#/components/schemas/Response0D96414269Ca_Address'
        to:
          $ref: '#/components/schemas/Response0D96414269Ca_Address'
        proxyAddress:
          $ref: '#/components/schemas/Response0D96414269Ca_Address'
        data:
          type: string
          description: Encoded transaction data (0x-prefixed hex string)
          example: 0x...
        nonce:
          type: string
          description: Transaction nonce
          example: '60'
        value:
          type: string
          description: Transaction value
          example: ''
        signature:
          type: string
          description: Transaction signature (0x-prefixed hex string)
          example: >-
            0x01a060c734d7bdf4adde50c4a7e574036b1f8b12890911bdd1c1cfdcd77502381b89fa8a47c36f62a0b9f1cdfee7b260fd8108536db9f6b2089c02637e7de9fc20
        state:
          type: string
          description: Current state of the transaction
          enum:
            - STATE_NEW
            - STATE_EXECUTED
            - STATE_MINED
            - STATE_CONFIRMED
            - STATE_INVALID
            - STATE_FAILED
          example: STATE_CONFIRMED
        type:
          type: string
          description: Transaction type
          enum:
            - SAFE
            - PROXY
          example: SAFE
        owner:
          $ref: '#/components/schemas/Response0D96414269Ca_Address'
        metadata:
          type: string
          description: Transaction metadata
          example: ''
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the transaction was created
          example: '2024-07-14T21:13:08.819782Z'
        updatedAt:
          type: string
          format: date-time
          description: Timestamp when the transaction was last updated
          example: '2024-07-14T21:13:46.576639Z'
    Response0D96414269Ca_Address:
      type: string
      description: Ethereum address (0x-prefixed, 40 hex chars)
      pattern: ^0x[a-fA-F0-9]{40}$
      example: '0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.